Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network127.12.128.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
127.12.128.0
Broadcast address
127.12.191.255
First usable
127.12.128.1
Last usable
127.12.191.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Loopback 127.0.0.0/8
This computer
Old class
A (default /8)
As numbers
Hex 7F0C8000 · Integer 2131525632 to 2131542015
Reverse DNS zones
128.12.127.in-addr.arpa
129.12.127.in-addr.arpa
130.12.127.in-addr.arpa
131.12.127.in-addr.arpa
132.12.127.in-addr.arpa
133.12.127.in-addr.arpa
134.12.127.in-addr.arpa
135.12.127.in-addr.arpa
136.12.127.in-addr.arpa
137.12.127.in-addr.arpa
138.12.127.in-addr.arpa
139.12.127.in-addr.arpa
140.12.127.in-addr.arpa
141.12.127.in-addr.arpa
142.12.127.in-addr.arpa
143.12.127.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01111111.00001100.10000000.00000000127.12.128.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network01111111.00001100.10000000.00000000127.12.128.0
Broadcast01111111.00001100.10111111.11111111127.12.191.255
Split into smaller subnets/25

127.12.128.0/18 makes 128 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1127.12.128.0/25127.12.128.1 to 127.12.128.126127.12.128.127126
2127.12.128.128/25127.12.128.129 to 127.12.128.254127.12.128.255126
3127.12.129.0/25127.12.129.1 to 127.12.129.126127.12.129.127126
4127.12.129.128/25127.12.129.129 to 127.12.129.254127.12.129.255126
5127.12.130.0/25127.12.130.1 to 127.12.130.126127.12.130.127126
6127.12.130.128/25127.12.130.129 to 127.12.130.254127.12.130.255126
7127.12.131.0/25127.12.131.1 to 127.12.131.126127.12.131.127126
8127.12.131.128/25127.12.131.129 to 127.12.131.254127.12.131.255126
9127.12.132.0/25127.12.132.1 to 127.12.132.126127.12.132.127126
10127.12.132.128/25127.12.132.129 to 127.12.132.254127.12.132.255126
11127.12.133.0/25127.12.133.1 to 127.12.133.126127.12.133.127126
12127.12.133.128/25127.12.133.129 to 127.12.133.254127.12.133.255126
13127.12.134.0/25127.12.134.1 to 127.12.134.126127.12.134.127126
14127.12.134.128/25127.12.134.129 to 127.12.134.254127.12.134.255126
15127.12.135.0/25127.12.135.1 to 127.12.135.126127.12.135.127126
16127.12.135.128/25127.12.135.129 to 127.12.135.254127.12.135.255126
17127.12.136.0/25127.12.136.1 to 127.12.136.126127.12.136.127126
18127.12.136.128/25127.12.136.129 to 127.12.136.254127.12.136.255126
19127.12.137.0/25127.12.137.1 to 127.12.137.126127.12.137.127126
20127.12.137.128/25127.12.137.129 to 127.12.137.254127.12.137.255126
21127.12.138.0/25127.12.138.1 to 127.12.138.126127.12.138.127126
22127.12.138.128/25127.12.138.129 to 127.12.138.254127.12.138.255126
23127.12.139.0/25127.12.139.1 to 127.12.139.126127.12.139.127126
24127.12.139.128/25127.12.139.129 to 127.12.139.254127.12.139.255126
25127.12.140.0/25127.12.140.1 to 127.12.140.126127.12.140.127126
26127.12.140.128/25127.12.140.129 to 127.12.140.254127.12.140.255126
27127.12.141.0/25127.12.141.1 to 127.12.141.126127.12.141.127126
28127.12.141.128/25127.12.141.129 to 127.12.141.254127.12.141.255126
29127.12.142.0/25127.12.142.1 to 127.12.142.126127.12.142.127126
30127.12.142.128/25127.12.142.129 to 127.12.142.254127.12.142.255126
31127.12.143.0/25127.12.143.1 to 127.12.143.126127.12.143.127126
32127.12.143.128/25127.12.143.129 to 127.12.143.254127.12.143.255126
33127.12.144.0/25127.12.144.1 to 127.12.144.126127.12.144.127126
34127.12.144.128/25127.12.144.129 to 127.12.144.254127.12.144.255126
35127.12.145.0/25127.12.145.1 to 127.12.145.126127.12.145.127126
36127.12.145.128/25127.12.145.129 to 127.12.145.254127.12.145.255126
37127.12.146.0/25127.12.146.1 to 127.12.146.126127.12.146.127126
38127.12.146.128/25127.12.146.129 to 127.12.146.254127.12.146.255126
39127.12.147.0/25127.12.147.1 to 127.12.147.126127.12.147.127126
40127.12.147.128/25127.12.147.129 to 127.12.147.254127.12.147.255126
41127.12.148.0/25127.12.148.1 to 127.12.148.126127.12.148.127126
42127.12.148.128/25127.12.148.129 to 127.12.148.254127.12.148.255126
43127.12.149.0/25127.12.149.1 to 127.12.149.126127.12.149.127126
44127.12.149.128/25127.12.149.129 to 127.12.149.254127.12.149.255126
45127.12.150.0/25127.12.150.1 to 127.12.150.126127.12.150.127126
46127.12.150.128/25127.12.150.129 to 127.12.150.254127.12.150.255126
47127.12.151.0/25127.12.151.1 to 127.12.151.126127.12.151.127126
48127.12.151.128/25127.12.151.129 to 127.12.151.254127.12.151.255126
49127.12.152.0/25127.12.152.1 to 127.12.152.126127.12.152.127126
50127.12.152.128/25127.12.152.129 to 127.12.152.254127.12.152.255126
51127.12.153.0/25127.12.153.1 to 127.12.153.126127.12.153.127126
52127.12.153.128/25127.12.153.129 to 127.12.153.254127.12.153.255126
53127.12.154.0/25127.12.154.1 to 127.12.154.126127.12.154.127126
54127.12.154.128/25127.12.154.129 to 127.12.154.254127.12.154.255126
55127.12.155.0/25127.12.155.1 to 127.12.155.126127.12.155.127126
56127.12.155.128/25127.12.155.129 to 127.12.155.254127.12.155.255126
57127.12.156.0/25127.12.156.1 to 127.12.156.126127.12.156.127126
58127.12.156.128/25127.12.156.129 to 127.12.156.254127.12.156.255126
59127.12.157.0/25127.12.157.1 to 127.12.157.126127.12.157.127126
60127.12.157.128/25127.12.157.129 to 127.12.157.254127.12.157.255126
61127.12.158.0/25127.12.158.1 to 127.12.158.126127.12.158.127126
62127.12.158.128/25127.12.158.129 to 127.12.158.254127.12.158.255126
63127.12.159.0/25127.12.159.1 to 127.12.159.126127.12.159.127126
64127.12.159.128/25127.12.159.129 to 127.12.159.254127.12.159.255126
65127.12.160.0/25127.12.160.1 to 127.12.160.126127.12.160.127126
66127.12.160.128/25127.12.160.129 to 127.12.160.254127.12.160.255126
67127.12.161.0/25127.12.161.1 to 127.12.161.126127.12.161.127126
68127.12.161.128/25127.12.161.129 to 127.12.161.254127.12.161.255126
69127.12.162.0/25127.12.162.1 to 127.12.162.126127.12.162.127126
70127.12.162.128/25127.12.162.129 to 127.12.162.254127.12.162.255126
71127.12.163.0/25127.12.163.1 to 127.12.163.126127.12.163.127126
72127.12.163.128/25127.12.163.129 to 127.12.163.254127.12.163.255126
73127.12.164.0/25127.12.164.1 to 127.12.164.126127.12.164.127126
74127.12.164.128/25127.12.164.129 to 127.12.164.254127.12.164.255126
75127.12.165.0/25127.12.165.1 to 127.12.165.126127.12.165.127126
76127.12.165.128/25127.12.165.129 to 127.12.165.254127.12.165.255126
77127.12.166.0/25127.12.166.1 to 127.12.166.126127.12.166.127126
78127.12.166.128/25127.12.166.129 to 127.12.166.254127.12.166.255126
79127.12.167.0/25127.12.167.1 to 127.12.167.126127.12.167.127126
80127.12.167.128/25127.12.167.129 to 127.12.167.254127.12.167.255126
81127.12.168.0/25127.12.168.1 to 127.12.168.126127.12.168.127126
82127.12.168.128/25127.12.168.129 to 127.12.168.254127.12.168.255126
83127.12.169.0/25127.12.169.1 to 127.12.169.126127.12.169.127126
84127.12.169.128/25127.12.169.129 to 127.12.169.254127.12.169.255126
85127.12.170.0/25127.12.170.1 to 127.12.170.126127.12.170.127126
86127.12.170.128/25127.12.170.129 to 127.12.170.254127.12.170.255126
87127.12.171.0/25127.12.171.1 to 127.12.171.126127.12.171.127126
88127.12.171.128/25127.12.171.129 to 127.12.171.254127.12.171.255126
89127.12.172.0/25127.12.172.1 to 127.12.172.126127.12.172.127126
90127.12.172.128/25127.12.172.129 to 127.12.172.254127.12.172.255126
91127.12.173.0/25127.12.173.1 to 127.12.173.126127.12.173.127126
92127.12.173.128/25127.12.173.129 to 127.12.173.254127.12.173.255126
93127.12.174.0/25127.12.174.1 to 127.12.174.126127.12.174.127126
94127.12.174.128/25127.12.174.129 to 127.12.174.254127.12.174.255126
95127.12.175.0/25127.12.175.1 to 127.12.175.126127.12.175.127126
96127.12.175.128/25127.12.175.129 to 127.12.175.254127.12.175.255126
97127.12.176.0/25127.12.176.1 to 127.12.176.126127.12.176.127126
98127.12.176.128/25127.12.176.129 to 127.12.176.254127.12.176.255126
99127.12.177.0/25127.12.177.1 to 127.12.177.126127.12.177.127126
100127.12.177.128/25127.12.177.129 to 127.12.177.254127.12.177.255126
101127.12.178.0/25127.12.178.1 to 127.12.178.126127.12.178.127126
102127.12.178.128/25127.12.178.129 to 127.12.178.254127.12.178.255126
103127.12.179.0/25127.12.179.1 to 127.12.179.126127.12.179.127126
104127.12.179.128/25127.12.179.129 to 127.12.179.254127.12.179.255126
105127.12.180.0/25127.12.180.1 to 127.12.180.126127.12.180.127126
106127.12.180.128/25127.12.180.129 to 127.12.180.254127.12.180.255126
107127.12.181.0/25127.12.181.1 to 127.12.181.126127.12.181.127126
108127.12.181.128/25127.12.181.129 to 127.12.181.254127.12.181.255126
109127.12.182.0/25127.12.182.1 to 127.12.182.126127.12.182.127126
110127.12.182.128/25127.12.182.129 to 127.12.182.254127.12.182.255126
111127.12.183.0/25127.12.183.1 to 127.12.183.126127.12.183.127126
112127.12.183.128/25127.12.183.129 to 127.12.183.254127.12.183.255126
113127.12.184.0/25127.12.184.1 to 127.12.184.126127.12.184.127126
114127.12.184.128/25127.12.184.129 to 127.12.184.254127.12.184.255126
115127.12.185.0/25127.12.185.1 to 127.12.185.126127.12.185.127126
116127.12.185.128/25127.12.185.129 to 127.12.185.254127.12.185.255126
117127.12.186.0/25127.12.186.1 to 127.12.186.126127.12.186.127126
118127.12.186.128/25127.12.186.129 to 127.12.186.254127.12.186.255126
119127.12.187.0/25127.12.187.1 to 127.12.187.126127.12.187.127126
120127.12.187.128/25127.12.187.129 to 127.12.187.254127.12.187.255126
121127.12.188.0/25127.12.188.1 to 127.12.188.126127.12.188.127126
122127.12.188.128/25127.12.188.129 to 127.12.188.254127.12.188.255126
123127.12.189.0/25127.12.189.1 to 127.12.189.126127.12.189.127126
124127.12.189.128/25127.12.189.129 to 127.12.189.254127.12.189.255126
125127.12.190.0/25127.12.190.1 to 127.12.190.126127.12.190.127126
126127.12.190.128/25127.12.190.129 to 127.12.190.254127.12.190.255126
127127.12.191.0/25127.12.191.1 to 127.12.191.126127.12.191.127126
128127.12.191.128/25127.12.191.129 to 127.12.191.254127.12.191.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses